This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1305159 - (CVE-2016-1938) CVE-2016-1938 Mozilla NSS: Errors in mp_div and mp_exptmod cryptographic functions
CVE-2016-1938 Mozilla NSS: Errors in mp_div and mp_exptmod cryptographic func...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160126,reported=2...
: Security
Depends On:
Blocks: 1305160
  Show dependency treegraph
 
Reported: 2016-02-05 16:07 EST by Kurt Seifried
Modified: 2016-02-12 03:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-12 03:17:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2016-02-05 16:07:22 EST
The Mozilla Project reports:

Security researcher Hanno Böck reported that calculations with mp_div and mp_exptmod in Network Security Services (NSS) can produce wrong results in some circumstances. These functions are used within NSS for a variety of cryptographic division functions, leading to potential cryptographic weaknesses.

External references:
https://www.mozilla.org/en-US/security/advisories/mfsa2016-07/
https://blog.fuzzing-project.org/37-Mozilla-NSS-Wrong-calculation-results-in-mp_div-and-mp_exptmod.html
https://github.com/hannob/bignum-fuzz/blob/master/CVE-2016-1938-nss-mp_div.c
https://github.com/hannob/bignum-fuzz/blob/master/CVE-2016-1938-nss-mp_exptmod.c
https://hg.mozilla.org/projects/nss/diff/a555bf0fc23a/lib/freebl/mpi/mpi.c
Comment 1 Huzaifa S. Sidhpurwala 2016-02-12 03:23:36 EST
This issue has been addressed upstream via nss-3.21

Note You need to log in before you can comment on or make changes to this bug.